INTERFACE
SUBROUTINE FPPS(KPROMA,KST,KND,KOPLEV,POROG,PGEOP,PT,PQ,PI,PL,&
 & PR,PS,PG,PSP,PST,PSPPP,PRESH,PLNPR,PALPH) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KOPLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KND
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOP(KPROMA,KOPLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PI(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PL(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PS(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PG(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PST(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPPP(KPROMA,KOPLEV)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PRESH(KPROMA,0:NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PLNPR(KPROMA,NFLEVG)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PALPH(KPROMA,NFLEVG)
REAL(KIND=JPRB) :: ZPBLO(KPROMA)
REAL(KIND=JPRB) :: ZPABV(KPROMA)
END SUBROUTINE FPPS
END INTERFACE
